#include <bits/stdc++.h>

using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int n, m;
    cin >> n >> m;

    int druzeljubivost[n];
    int prijatelji_1[m];
    int prijatelji_2[m];

    for(int i=0; i < n; ++i)
    {
        cin >> druzeljubivost[i];
    }

    for (int i=0; i < m; ++i)
    {
        cin >> prijatelji_1[i] >> prijatelji_2[i];
    }

    int sreca = 0;
    for(int i=0; i < n; i++)
    {
        int counter = 0;
        for(int j=0; j < m; j++)
        {
            if ((prijatelji_1[j] == i+1) || (prijatelji_2[j] == i+1))
            {
                counter++;
            }
        }
        int prijateljska_sreca = druzeljubivost[i]*counter;
        int neprijateljska_sreca = druzeljubivost[i]*counter*-1;
        sreca += max(prijateljska_sreca, neprijateljska_sreca);
    }

    cout << sreca;
    return 0;
}